;;
;; acad.lsp - ACA.NET webcast demo samples loader
;;
;; Copyright (C) 2008 by Jeremy Tammik, Autodesk Inc.
;;
;; (load "C:/a/j/adn/train/acanet/AcaNetIntro/cs/bin/Debug/acad.lsp")
;;
(setq jt_aca_root_dir "C:/Program Files/AutoCAD Architecture 2009/"
  jt_sample_assemblies '(
    ("AModelerSampleMgd.dll" "AModelerSample") 
    ("AecWallSystemSampleMgd.dll" "WallSystemSample")
    ("AecStreamSampleMgd.dll" "StreamSample")
    ("AecRelationGraphSampleMgd.dll" "RelationshipSample")
    ("AecPropertySampleMgd.dll" "PropertyQuery" "ListPropertySetDefByName" "CreatePropertySetDef" "FindPropertySetByNameOnObject" "GetPropSetDefIdFromPropertyName" "GetPropertyDataByName" "SetPropertyDataByName" "CreatePropSetOnDBObject" "CreatePropSetDefAuto" "CreatePropSetDefAutoDup")
    ("AecPropertyGridMgd.dll" "PropertyGrid")
    ("AecProjectBaseSampleMgd.CS.Net.dll" "ProjectSample")
    ("AecHardwiredStylesMgd.dll" "Hardwired")
    ("AecDisplaySampleMgd.dll" "DisplaySample")
  )
)

(defun jt_netload (assembly_path) 
  (command "_netload" assembly_path)
)

(defun jt_netload_product_sample (assembly_name) 
  (jt_netload (strcat jt_aca_root_dir assembly_name))
)

(defun jt_netload_product_samples ( / n s)
  (setq n 0 s "")
  (foreach a jt_sample_assemblies 
    (princ (strcat "\nLoading " (car a) " with commands " (cadr a) "..."))
    (jt_netload_product_sample (car a))
    (setq n (1+ n))
    (foreach b (cdr a) (setq s (strcat s " " b)))
  )
  (list n s)
)

(defun c:x ()
  ;;(setq n (length (arx)))
  (jt_netload "C:/a/src/MgdDbg/2008_beta_3/MgdDbgAec/bin/Debug/MgdDbgAec.dll")
  (jt_netload "AcaNetIntroCs.dll")
  (jt_netload "C:/a/j/adn/train/acanet/stream_vectors_rasterize/src/Rasterize/Rasterize/bin/Debug/Rasterize.dll")
  (setq a (jt_netload_product_samples))
  (setq n (car a) s (cadr a))
  ;;(setq n (- (length (arx)) n))
  ;;(princ (strcat "Loaded " (itoa n) " samples."))
  (princ (strcat "\nLoaded MgdDbgAec, AcaNetIntro, and " (itoa n) " product samples."))
  (princ (strcat "\nCommands:" s "."))
  (princ)
)
