// $Header: //SandBox/awej/Content/AllUsers/RcpSamples/Source/SampRcp_CPP/Inc/SampDtlCompApp.h#1 $
// $Author: awej $ $DateTime: 2004/05/05 14:47:54 $ $Change: 11180 $
//
// (C) Copyright 2004 by Autodesk, Inc. 
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//

#ifndef AEC_SAMPDLTCOMPAPP_H
#define AEC_SAMPDLTCOMPAPP_H

#include "AecUiBase/AecAppArx.h"

/****************************************************************************
**
**  CLASS SampDtlCompApp
**      This is a standard OMF Application class.  The only thing we need to
**  do for Detail Recipes is to register our AecRcpFunc-derived classes with the
**  framework.
**
**
*************************************/

class SampDtlCompApp : public AecAppArx {

public:
    ACRX_DECLARE_MEMBERS(SampDtlCompApp);

                    SampDtlCompApp();

    virtual AcRx::AppRetCode    initApp();

    virtual void                getRequiredModules(AecRmCStringArray& reqApps);

protected:
    virtual Acad::ErrorStatus   registerServices();
    virtual void                unRegisterServices();

private:
    void                        registerRcpFuncObjects();
    void                        unRegisterRcpFuncObjects();

public:
    static SampDtlCompApp*      getApp();   // get only instance of this app
};




#endif // AEC_SAMPDLTCOMPAPP_H
