// $Header: //SandBox/awej/Content/AllUsers/RcpSamples/Source/SampRcp_CPP/Inc/SampRcpCoredBrick.h#1 $
// $Author: awej $ $DateTime: 2004/05/05 14:47:54 $ $Change: 11180 $
//
// (C) Copyright 2004 by Autodesk, Inc. 
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//

#ifndef AEC_SAMPRCPCOREDBRICK_H
#define AEC_SAMPRCPCOREDBRICK_H

#include "AecRcpBase/AecRcpFunc.h"
#include "AecRcpBase/AecRcpCompBldr.h"

/****************************************************************************
**
**  CLASS SampRcpCoredBrick:
**
**
*************************************/

class SampRcpCoredBrick : public AecRcpFunc {

public:
                        SampRcpCoredBrick()    {}
    virtual             ~SampRcpCoredBrick()   {}

    virtual void        registerFuncs();

    static RcpStatus    section();
    static RcpStatus    plan();
    static RcpStatus    elevation();

protected:
    static Acad::ErrorStatus    createSimpleBrick(AecRcpCompBldr& compBldr, double width,
                                            double height, bool doHatch);
    static Acad::ErrorStatus    createCoredBrickSection(AecRcpCompBldr& compBldr, double width,
                                            double height, bool doHatch, double coreRadius);
    static Acad::ErrorStatus    createCoredBrickPlan(AecRcpCompBldr& compBldr, double width,
                                            double height, bool doHatch, double coreRadius, long numCores);
};

#endif // AEC_SAMPRCPCOREDBRICK_H
