// $Header: //SandBox/awej/Content/AllUsers/RcpSamples/Source/SampRcp_CPP/Inc/SampUtils.h#1 $
// $Author: awej $ $DateTime: 2004/05/05 14:47:54 $ $Change: 11180 $
//
// (C) Copyright 2004 by Autodesk, Inc. 
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//

#ifndef AEC_SAMPUTILS_H
#define AEC_SAMPUTILS_H

class AecRcpCompBldrBlkDef;
class AecRcpCompBldr;
class AecRecipeInfoAcc;

#include "AecRcpBase/AecRcpFunc.h"

/****************************************************************************
**
**  CLASS SampUtils
**      As we right more and more recipe functions, common patterns begin to
**  emerge.  We'll use the SampUtils as a place to collect common functionality.
**
**
*************************************/

class SampUtils {

public:

    enum Justif {
        kTop    = 0,
        kCenter,
        kBottom,
    };

        // entity creation functions
    static Acad::ErrorStatus    createSection(AecRcpCompBldrBlkDef& compBldr,
                                        const AcGePoint2dArray& pts, const AcGeDoubleArray& bulges);

    static Acad::ErrorStatus    createSquiggledSection(AecRcpCompBldrBlkDef& compBldr,
                                        const AcGePoint2dArray& pts, const AcGeDoubleArray& bulges);

    static RcpStatus            createPlanOrElev(AecRecipeInfoAcc& rcpInfo, double depth,
                                        const AcGeDoubleArray& offsets, const AecRmCStringArray& compIdStrs,
                                        Justif justification);
};

#endif // AEC_SAMPUTILS_H
