// $Header: //SandBox/awej/Content/AllUsers/RcpSamples/Source/SampRcp_CPP/StdAfx.h#1 $
// $Author: awej $ $DateTime: 2004/05/05 14:47:54 $ $Change: 11180 $
//
// (C) Copyright 2004 by Autodesk, Inc. 
//
// Permission to use, copy, modify, and distribute this software in
// object code form for any purpose and without fee is hereby granted, 
// provided that the above copyright notice appears in all copies and 
// that both that copyright notice and the limited warranty and
// restricted rights notice below appear in all supporting 
// documentation.
//
// AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
// AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
// MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
// DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
// UNINTERRUPTED OR ERROR FREE.
//
// Use, duplication, or disclosure by the U.S. Government is subject to 
// restrictions set forth in FAR 52.227-19 (Commercial Computer
// Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
// (Rights in Technical Data and Computer Software), as applicable.
//

#pragma once

//-----------------------------------------------------------------------------
#ifdef _FULLDEBUG_
#pragma message ("Warning! You should not run this application in a Standard AutoCAD release.")
#pragma message ("         Due to the memory managment constraints.")
#endif

//-----------------------------------------------------------------------------
//----- 'DEBUG workaround' below prevents the MFC or ATL #include-s from pulling 
//----- in "Afx.h" that would force the debug CRT through #pragma-s.
#if defined(_DEBUG) && !defined(_FULLDEBUG_)
#define _DEBUG_WAS_DEFINED
#undef _DEBUG
#pragma message ("     Compiling MFC / STL / ATL header files in release mode.")
#endif

#pragma warning(disable: 4786)
//#pragma warning(disable: 4098)

//-----------------------------------------------------------------------------

#define VC_EXTRALEAN        // Exclude rarely-used stuff from Windows headers


// Force conversion macros in atlconv.h to use the system locale (CP_ACP) 
// for all character conversions - see defect 541302. 
// This MUST be defined just BEFORE including afxwin.h 
#define _CONVERSION_DONT_USE_THREAD_LOCALE 

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxmt.h>

#ifndef _AFX_NO_OLE_SUPPORT
#include <afxole.h>         // MFC OLE classes
#include <afxodlgs.h>       // MFC OLE dialog classes
#include <afxdisp.h>        // MFC OLE automation classes
#endif // _AFX_NO_OLE_SUPPORT


#ifndef _AFX_NO_DB_SUPPORT
#include <afxdb.h>            // MFC ODBC database classes
#endif // _AFX_NO_DB_SUPPORT

#ifndef _AFX_NO_DAO_SUPPORT
#include <afxdao.h>            // MFC DAO database classes
#endif // _AFX_NO_DAO_SUPPORT

#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>            // MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

#include <string>

#ifdef _DEBUG_WAS_DEFINED
#define _DEBUG
#undef _DEBUG_WAS_DEFINED
#endif

#include "AecCore.h"
#include "AcadStdafx.h"
#include "AecModeler.h"
#include "AecResMgr/AecRmCString.h"
//#include "AecBase/AecAssert.h"
#include "AecSystemTools/AecAssert.h"
#include "AecUiBase/AecAppArx.h"
#include "AecBase/AecDbVarsDwgSetup.h"
#include "AecUiBase/AecDocumentData.h"
#include "AecUiBase/AecUiPrBase.h"
#include "AecUiBase/AecKeywordArray.h"
#include "AecXmlBase.h"
#include "AecRcpBase/AecRcpBaseServices.h"

//#define LAN_SAMPRCPCPP SampRcpCpp40
//#define LAN_SAMPRCPCPP_STR  "SampRcpCpp40"

#define LAN_SAMPRCPCPP SampRcpCpp
#define LAN_SAMPRCPCPP_STR  _DNT("SampRcpCpp")


#ifdef _FULLDEBUG_

    #pragma comment ( lib, "rxapi.lib")
    #pragma comment ( lib, "acad.lib")
    #pragma comment ( lib, "acedapi.lib")
    #pragma comment ( lib, "acdb16d.lib")
    #pragma comment ( lib, "acge16d.lib")
    #pragma comment ( lib, "acgiapi.lib")
//    #pragma comment ( lib, "adui16.lib")
//    #pragma comment ( lib, "acui16.lib")
//    #pragma comment ( lib, "htmlhelp.lib")
//    #pragma comment ( lib, "axdb16.lib")
//    #pragma comment ( lib, "oleaprot.lib")

//    #pragma comment (lib, "AecModeler45d.lib")
    #pragma comment (lib, "AecBase45d.lib")
    #pragma comment (lib, "AecUiBase45d.lib")
    #pragma comment (lib, "AecResMgr45d.lib")
//    #pragma comment (lib, "AecSystemTools45d.lib")
    #pragma comment (lib, "AecXmlBase45d.lib")
    #pragma comment (lib, "AecRcpBase45d.lib")
    #pragma comment (lib, "AecGuiBase45d.lib")
//    #pragma comment (lib, "AecResUi45d.lib")

#else

    #pragma comment ( lib, "rxapi.lib")
    #pragma comment ( lib, "acad.lib")
    #pragma comment ( lib, "acedapi.lib")
    #pragma comment ( lib, "acdb17.lib")
    #pragma comment ( lib, "acge17.lib")
    #pragma comment ( lib, "acgiapi.lib")
//    #pragma comment ( lib, "adui16.lib")
//    #pragma comment ( lib, "acui16.lib")
//    #pragma comment ( lib, "htmlhelp.lib")
//    #pragma comment ( lib, "axdb16.lib")
//    #pragma comment ( lib, "oleaprot.lib")

//    #pragma comment (lib, "AecModeler45.lib")
    #pragma comment (lib, "AecBase.lib")
    #pragma comment (lib, "AecUiBase.lib")
    #pragma comment (lib, "AecResMgr.lib")
	#pragma comment (lib, "AecSystemTools.lib")
    #pragma comment (lib, "AecXmlBase.lib")
    #pragma comment (lib, "AecRcpBase.lib")
    #pragma comment (lib, "AecGuiBase.lib")
//    #pragma comment (lib, "AecResUi45.lib")

#endif


